- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_comment.h File Reference

defines axiom_comment_t struct, and manipulation functions More...

`#include <axiom_node.h>`
`#include <axiom_output.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_comment | axiom_comment_t
## Functions
AXIS2_EXTERN axiom_comment_t * | axiom_comment_create (const axutil_env_t *env, axiom_node_t *parent, const axis2_char_t *value, axiom_node_t **node)
AXIS2_EXTERN void | axiom_comment_free (struct axiom_comment *om_comment, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | axiom_comment_get_value (struct axiom_comment *om_comment, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_comment_set_value (struct axiom_comment *om_comment, const axutil_env_t *env, const axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | axiom_comment_serialize (struct axiom_comment *om_comment, const axutil_env_t *env, axiom_output_t *om_output)

## Detailed Description

defines axiom_comment_t struct, and manipulation functions